Bug 2044613 (CVE-2022-23852) - CVE-2022-23852 expat: Integer overflow in function XML_GetBuffer
Summary: CVE-2022-23852 expat: Integer overflow in function XML_GetBuffer
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-23852
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2050873 2050874 2052313 2052314 2052315 2052316 2052317 2052318 2052319 2052320 2077350
Blocks: 2044595
TreeView+ depends on / blocked
 
Reported: 2022-01-24 20:06 UTC by Todd Cullum
Modified: 2022-05-31 12:24 UTC (History)
36 users (show)

Fixed In Version: expat 2.4.4
Doc Type: If docs needed, set a value
Doc Text:
expat (libexpat) is susceptible to a software flaw that causes process interruption. When processing a large number of prefixed XML attributes on a single tag can libexpat can terminate unexpectedly due to integer overflow. The highest threat from this vulnerability is to availability, confidentiality and integrity.
Clone Of:
Environment:
Last Closed: 2022-05-05 03:15:19 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:0953 0 None None None 2022-03-16 21:53:30 UTC
Red Hat Product Errata RHBA-2022:0957 0 None None None 2022-03-17 15:58:16 UTC
Red Hat Product Errata RHBA-2022:0959 0 None None None 2022-03-17 17:17:47 UTC
Red Hat Product Errata RHBA-2022:0960 0 None None None 2022-03-17 17:34:06 UTC
Red Hat Product Errata RHBA-2022:0964 0 None None None 2022-03-17 21:26:51 UTC
Red Hat Product Errata RHBA-2022:0965 0 None None None 2022-03-17 21:56:40 UTC
Red Hat Product Errata RHBA-2022:0976 0 None None None 2022-03-21 11:35:09 UTC
Red Hat Product Errata RHBA-2022:0977 0 None None None 2022-03-21 11:36:18 UTC
Red Hat Product Errata RHBA-2022:0978 0 None None None 2022-03-21 11:36:45 UTC
Red Hat Product Errata RHBA-2022:0979 0 None None None 2022-03-21 14:37:06 UTC
Red Hat Product Errata RHBA-2022:0980 0 None None None 2022-03-21 14:44:38 UTC
Red Hat Product Errata RHBA-2022:0981 0 None None None 2022-03-21 14:42:14 UTC
Red Hat Product Errata RHBA-2022:1005 0 None None None 2022-03-22 08:41:42 UTC
Red Hat Product Errata RHBA-2022:1014 0 None None None 2022-03-22 17:10:53 UTC
Red Hat Product Errata RHBA-2022:1031 0 None None None 2022-03-23 11:12:57 UTC
Red Hat Product Errata RHBA-2022:1046 0 None None None 2022-03-24 09:35:44 UTC
Red Hat Product Errata RHBA-2022:1048 0 None None None 2022-03-24 10:43:11 UTC
Red Hat Product Errata RHBA-2022:1057 0 None None None 2022-03-24 16:13:23 UTC
Red Hat Product Errata RHBA-2022:1058 0 None None None 2022-03-24 15:32:33 UTC
Red Hat Product Errata RHBA-2022:1079 0 None Waiting on Red Hat [BZ] Regression: cn=views,cn=compat broken with slapi-nis-0.56.5-3.el7_9.x86_64 2022-04-12 13:33:21 UTC
Red Hat Product Errata RHBA-2022:1085 0 None None None 2022-03-28 18:10:47 UTC
Red Hat Product Errata RHBA-2022:1089 0 None None None 2022-03-29 01:11:44 UTC
Red Hat Product Errata RHBA-2022:1099 0 None None None 2022-03-29 07:42:21 UTC
Red Hat Product Errata RHBA-2022:1100 0 None None None 2022-03-29 07:40:06 UTC
Red Hat Product Errata RHBA-2022:1101 0 None None None 2022-03-29 08:13:36 UTC
Red Hat Product Errata RHBA-2022:1117 0 None None None 2022-03-29 15:05:25 UTC
Red Hat Product Errata RHBA-2022:1118 0 None None None 2022-03-29 15:07:26 UTC
Red Hat Product Errata RHBA-2022:1119 0 None None None 2022-03-29 15:08:30 UTC
Red Hat Product Errata RHBA-2022:1120 0 None None None 2022-03-29 15:11:56 UTC
Red Hat Product Errata RHBA-2022:1121 0 None None None 2022-03-29 15:10:18 UTC
Red Hat Product Errata RHBA-2022:1122 0 None None None 2022-03-29 15:17:56 UTC
Red Hat Product Errata RHBA-2022:1125 0 None None None 2022-03-29 15:36:46 UTC
Red Hat Product Errata RHBA-2022:1126 0 None None None 2022-03-29 19:10:51 UTC
Red Hat Product Errata RHBA-2022:1127 0 None None None 2022-03-29 19:11:46 UTC
Red Hat Product Errata RHBA-2022:1130 0 None None None 2022-03-29 17:45:26 UTC
Red Hat Product Errata RHBA-2022:1131 0 None None None 2022-03-29 18:13:32 UTC
Red Hat Product Errata RHBA-2022:1140 0 None None None 2022-03-30 13:35:46 UTC
Red Hat Product Errata RHBA-2022:1150 0 None None None 2022-03-31 18:41:26 UTC
Red Hat Product Errata RHBA-2022:1172 0 None None None 2022-04-04 08:24:21 UTC
Red Hat Product Errata RHBA-2022:1176 0 None None None 2022-04-04 10:45:26 UTC
Red Hat Product Errata RHBA-2022:1191 0 None None None 2022-04-05 13:28:40 UTC
Red Hat Product Errata RHBA-2022:1258 0 None None None 2022-04-06 17:10:17 UTC
Red Hat Product Errata RHBA-2022:1289 0 None None None 2022-04-11 05:59:52 UTC
Red Hat Product Errata RHBA-2022:1308 0 None None None 2022-04-11 14:51:10 UTC
Red Hat Product Errata RHBA-2022:1319 0 None None None 2022-04-12 11:31:13 UTC
Red Hat Product Errata RHBA-2022:1380 0 None None None 2022-04-18 10:57:26 UTC
Red Hat Product Errata RHBA-2022:1385 0 None None None 2022-04-18 13:53:39 UTC
Red Hat Product Errata RHBA-2022:1392 0 None None None 2022-04-19 08:56:37 UTC
Red Hat Product Errata RHBA-2022:1434 0 None None None 2022-04-20 06:53:13 UTC
Red Hat Product Errata RHBA-2022:1495 0 None None None 2022-04-21 14:02:49 UTC
Red Hat Product Errata RHBA-2022:1507 0 None None None 2022-04-21 16:14:54 UTC
Red Hat Product Errata RHBA-2022:1608 0 None None None 2022-04-27 07:56:50 UTC
Red Hat Product Errata RHBA-2022:1609 0 None None None 2022-04-27 07:16:18 UTC
Red Hat Product Errata RHBA-2022:1610 0 None None None 2022-04-27 07:17:54 UTC
Red Hat Product Errata RHBA-2022:1611 0 None None None 2022-04-27 07:19:04 UTC
Red Hat Product Errata RHBA-2022:1612 0 None None None 2022-04-27 07:20:43 UTC
Red Hat Product Errata RHBA-2022:1613 0 None None None 2022-04-27 07:21:31 UTC
Red Hat Product Errata RHBA-2022:1614 0 None None None 2022-04-27 07:23:18 UTC
Red Hat Product Errata RHBA-2022:1615 0 None None None 2022-04-27 07:23:52 UTC
Red Hat Product Errata RHBA-2022:1616 0 None None None 2022-04-27 07:27:21 UTC
Red Hat Product Errata RHSA-2022:0951 0 None None None 2022-03-16 16:17:11 UTC
Red Hat Product Errata RHSA-2022:1069 0 None None None 2022-03-28 11:49:36 UTC
Red Hat Product Errata RHSA-2022:4834 0 None None None 2022-05-31 12:24:04 UTC

Description Todd Cullum 2022-01-24 20:06:27 UTC
Expat (aka libexpat) before 2.4.4 has a signed integer overflow in XML_GetBuffer, for configurations with a nonzero XML_CONTEXT_BYTES.

PR: https://github.com/libexpat/libexpat/pull/550
Reference: https://bugzilla.suse.com/1195054

Comment 7 devthomp 2022-02-09 00:44:15 UTC
Created expat tracking bugs for this issue:

Affects: fedora-all [bug 2052320]

Comment 10 errata-xmlrpc 2022-03-16 16:17:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0951 https://access.redhat.com/errata/RHSA-2022:0951

Comment 12 errata-xmlrpc 2022-03-28 11:49:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2022:1069 https://access.redhat.com/errata/RHSA-2022:1069

Comment 16 Product Security DevOps Team 2022-05-05 03:15:16 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-23852

Comment 17 errata-xmlrpc 2022-05-31 12:24:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.4 Extended Update Support

Via RHSA-2022:4834 https://access.redhat.com/errata/RHSA-2022:4834


Note You need to log in before you can comment on or make changes to this bug.